

#include "includes.h"
#include <openssl/md5.h>


long 	generate_hash(char* id, int len)
{
	unsigned int i, j, val;
	unsigned char hash[50]={0};

	MD5(id, (unsigned long)len, hash);

	for (i=0; i<8; i++)
	{
		val = (unsigned int) hash[i] & 0xff;
		val %= 10;
		id[i] = 0x30 + val;
	}
	id[8] = 0;
	return atol(id);
}

long 	generate_session_number2(int len)
{
    unsigned int  i, count, val, seed;
    char key[255];

	/* Create keys using only lowercase characters */
	count = 0;
	val = 1;
	for (i=0; i<len; i++)
	{
		while(1)
		{
			val = rand();
			val = val % 10;
			if (val != 0 ) break;
		}
		key[count++] = 0x30 + val;
	}
	key[count] = '\0';
	return atol(key);
}



