
#include "includes.h"
#include "utils.h"
#include "dbmysql.h"
#include <mysql/mysql.h>
#include <mysql/errmsg.h>
#include <mysql/mysqld_error.h>


char	user[TGC_BUFFER_SIZE], pass[TGC_BUFFER_SIZE];
char	sqlquery[1024];

int chk_mysql_connect(TGC *tgc)
{
	int 	rc=1;
	MYSQL 	mysql;

	mysql_init(&mysql);
	if (!mysql_real_connect(&mysql,tgc->mysql_ip,"root",NULL,"rddb", 0, NULL, 0)) {
	    PRINT_LOG(1, "%s\n", mysql_error(&mysql));
	    rc = 0;
	}
	mysql_close(&mysql); 
	return(rc);
}

long query_username(TGC *tgc, int len)
{
	MYSQL mysql;
	MYSQL_RES *result;
	MYSQL_ROW row;
	MYSQL_FIELD *field;
	unsigned long *lengths;
	unsigned int num_fields;
	unsigned int num_rows;
	int i, iiu, iip, flg;
	short	*shortptr;
	long	rc;

	// checking integrity 
	if (len < 4) 
		return 0l;


	mysql_init(&mysql);
	if (!mysql_real_connect(&mysql,tgc->mysql_ip,"root",NULL,"rddb", 0, NULL, 0)) {
	    PRINT_LOG(1, "Failed  to connect  to database:   Error: %s\n", mysql_error(&mysql));
	}

	memset(user, 0, sizeof(user));
	memset(pass, 0, sizeof(pass));

	shortptr = (short *)tgc->buf;
	for (i=1, flg=0, iiu=0, iip=0; i< len/2; i++)
	{
//PRINT_LOG(1, "mysql-read <%x>", shortptr[i]);
		if (shortptr[i] == 0x0A)
		{
			flg = 1;
			continue;
		}
		if (shortptr[i] >= 0x100)
		{
			if (!flg)
			{
				user[iiu] = tgc->buf[i*2]; 	iiu++;
				user[iiu] = tgc->buf[i*2+1];	iiu++;
			}
			else
			{
				pass[iip] = tgc->buf[i*2];	iip++;
				pass[iip] = tgc->buf[i*2+1];	iip++;
			}
		}
		else
		{
//PRINT_LOG(1, "mysql-user <%x> <%x>", tgc->buf[i*2+1], tgc->buf[i*2]);
			if (!flg)
			{
				user[iiu] = tgc->buf[i*2];	iiu++;
			}
			else
			{
				pass[iip] = tgc->buf[i*2];	iip++;
			}
		}
	}

	if (strlen(user)>50 || strlen(pass)>50)
	{
		return 0l;
	}

	sprintf(sqlquery, "SELECT * FROM tbluser where userid = '%s' and passwd='%s'", user, pass);
	if (mysql_query(&mysql,sqlquery)) {
		// error
		mysql_close(&mysql);
		return 0l;
	}
	else 
	{   	// query succeeded, process any data returned by it 
		result = mysql_store_result(&mysql);
		if (mysql_fetch_row(result))
			//rc = generate_hash(tgc->buf, len);
			rc = generate_session_number2(SESSION_DIGIT);
		else
			rc = 0l;

		mysql_free_result(result);
	}

	mysql_close(&mysql); 
	return rc;
}
/* EOF */
